Subject: Utah H.B. 366: Update...
From: <[email-masked]>
Date: Fri, 17 Feb 1995 19:20:50 -0500

Utah H.B. 366, "Recognition of Marriages," which would ban recognition of
same-sex marriages in the state regardless of where they're performed, is
scheduled for its first hearing in the state House of Representatives Energy,
Natural Resources and Agriculture Standing Committee at 4:00 p.m. on Monday,
Feb. 20, in room 403 of the state Capitol Building in Salt Lake City.

The 17-member standing committee will also consider eight other bills during
the two-hour hearing.